package com.hichina.main.back.hichinamainback.utils;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.net.InetSocketAddress;
import java.net.Proxy;

@Component
public class ProxyUtils implements InitializingBean {

    private static Proxy defaultProxy;

    @Value("${gfw.proxy.host:127.0.0.1}")
    private String proxyHost;

    @Value("${gfw.proxy.port}")
    private Integer proxyPort;

    @Override
    public void afterPropertiesSet() throws Exception {
        InetSocketAddress proxyAddr = new InetSocketAddress(proxyHost, proxyPort);

        defaultProxy = new Proxy(Proxy.Type.SOCKS, proxyAddr);
    }

    public static Proxy defaultProxy() {
        return defaultProxy;
    }

}
